aboutsummaryrefslogtreecommitdiff
path: root/cleanup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'cleanup.sh')
-rwxr-xr-xcleanup.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/cleanup.sh b/cleanup.sh
new file mode 100755
index 0000000..a0d6944
--- /dev/null
+++ b/cleanup.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+# THIS IS SCARY!
+# This is a transitional script for cleaning out old symlinks since
+# stow doesn't like overwriting existing symlminks. This should only
+# need to run once on a system, and only if dotfiles were managed
+# without stow before. Should probably delete this once stow-based
+# dotfiles are rolled out everywere.
+
+set -euo pipefail
+
+to_delete="
+.local/bin/color_test
+.local/bin/utf8_demo
+.config/dircolors.conf
+.config/git
+.vim/autoload
+.vim/plugged
+.vimrc
+.config/zsh
+.zshenv
+.local/bin/backup
+.local/share/systemd/user/backup.service
+.local/share/systemd/user/backup.timer
+"
+
+for i in $to_delete; do
+ rm -rf "$HOME/${i:?}"
+done